package com.loveCoding.j20250517_java_array;

import java.util.Scanner;

/**
 * @author WanJl
 * @version 1.0
 * @title Demo08
 * @description 评委打分
 * - 需求：在编程竞赛中，有6个评委为参赛的选手打分，分数为0-100的整数分。
 *       选手的最后得分为：去掉一个最高分和一个最低分后 的4个评委平均值 (不考虑小数部分)。
 * @create 2025/5/17
 */
public class Demo08 {
    public static void main(String[] args) {
        //创建数组，长度为6
        int[] arr=new int[6];
        Scanner sc=new Scanner(System.in);
        //第1个循环，循环输入
        for (int i = 0; i < arr.length; i++) {
            System.out.println("第"+(i+1)+"位评委打分：");
            int v= sc.nextInt();
            arr[i]=v;
        }
        int max=arr[0],min=arr[0],sum=0,svg=0;
        //第2个循环，求最大值、最小值、总和、平均分
        for (int i = 0; i < arr.length; i++) {
            //求最大值
            if (arr[i]>max)
                max=arr[i];
            //求最小值
            if(arr[i]<min)
                min=arr[i];
            //求累加和
            sum+=arr[i];
        }
        //求平均分
        svg=sum-max-min/(arr.length-2);
        System.out.println("总分为："+sum);
        System.out.println("最高分为："+max);
        System.out.println("最低分为："+min);
        System.out.println("平均分为："+svg);
    }
}
